toolzerhub API Docs

Get a profile

Returns one public profile. Accepts a sec_user_id or a douyin.com/user/ profile URL.

2 credits / requestBilled only on success
GET
/v2/douyin/profiles/info

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

sec_user_id*string

Douyin sec_user_id, or a douyin.com/user/<sec_user_id> profile URL.

Length1 <= length
curl -X GET "https://example.com/v2/douyin/profiles/info?sec_user_id=MS4wLjABAAAAY3J1P0y5w7hzttTyvZiLjhMu3iOzF-1yFi6yNtXVHzkmVGFIx7T8s-nRmGNusfh1" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "user": {      "uid": "2557909361237356",      "sec_uid": "MS4wLjABAAAAY3J1P0y5w7hzttTyvZiLjhMu3iOzF-1yFi6yNtXVHzkmVGFIx7T8s-nRmGNusfh1",      "nickname": "...",      "unique_id": "23065405578",      "follower_count": 1424741    }  }}